extern void Lcdinit(void);
extern void Lcdwrite(void);
extern void Wr_Str_Lcd(unsigned char lcd_start, unsigned char lcd_end);
extern void WR_Display_One_Byte(unsigned char byte);
extern void Write_Addr_Display(unsigned char addr);
extern void Display_Clear(void);
extern void Cursor_Home(void);
extern void Cursor_Off(void);
extern void Cursor_Blink(void);
extern void Cursor_Shift_Left(void);
extern void WR_Display_Byte(unsigned char byte);

extern void delay_ms(unsigned int del);
extern void delay_us(unsigned int del);

extern unsigned char i,lcd_count, dat, com_dat;

extern union	{ unsigned char LCD_RAM[80]; 
       struct { char name1[8];unsigned int Temp_r;char name2[8];unsigned int Volog;
		char name3[8];unsigned int Temp_zd;char name4[8];unsigned int Volog_zd;
		char name_ERR[20];
		char name5[8]; unsigned int W_mid; char name6[8]; unsigned int W_max;
              } EKR_1;                                  

       struct { char name1[3];char name_W1[1];char name2[1];unsigned int W1;
		char name3[7];char name_W2[1];char name4[1];unsigned int W2;char name5[2];
                
       		char name6[3];char name_W3[1];char name7[1];unsigned int W3;

		char name8[33];

              } EKR_2;                                  

       struct { char name1[3];char name_W1[1];char name2[1];unsigned int W1;
		char name3[7];char name_W2[1];char name4[1];unsigned int W2;char name5[2];
                
       		char name6[3];char name_W3[1];char name7[1];unsigned int W3;
		char name8[7];char name_W4[1];char name9[1];unsigned int W4;char name10[2];

		char name11[40];

              } EKR_2_1;                                  

       struct { char name1[3];char name_W1[1];char name2[1];unsigned int W1;
		char name3[7];char name_W2[1];char name4[1];unsigned int W2;char name5[2];
                
       		char name6[3];char name_W3[1];char name7[1];unsigned int W3;
		char name8[7];char name_W4[1];char name9[1];unsigned int W4;char name10[2];

                char name11[3];char name_W5[1];char name12[1];unsigned int W5;
		char name13[7];char name_W6[1];char name14[1];unsigned int W6;char name15[2];

		char name16[20];

              } EKR_2_2;                                  

       struct { char name1[3];char name_W1[1];char name2[1];unsigned int W1;
		char name3[7];char name_W2[1];char name4[1];unsigned int W2;char name5[2];
                
       		char name6[3];char name_W3[1];char name7[1];unsigned int W3;
		char name8[7];char name_W4[1];char name9[1];unsigned int W4;char name10[2];

                char name11[3];char name_W5[1];char name12[1];unsigned int W5;
		char name13[7];char name_W6[1];char name14[1];unsigned int W6;char name15[2];

       		char name16[3];char name_W7[1];char name17[1];unsigned int W7;
		char name18[7];char name_W8[1];char name19[1];unsigned int W8;char name20[2];

              } EKR_2_3;                                  

       struct { char name__Tree[7];char name2[10];unsigned int Thick;
                   char name3[18]; unsigned int W_end;	// i i
                   char name4[16]; char rej_SH[5];	//  i
                   char name5[15]; char vol_dr[5];	// i 
              } EKR_3;

       struct { char name1[20];
		char name_Rej[20];
		char name2[40];
              } EKR_6;                                  

       struct { char name1[29];
		char name_H_A[10];
		char name2[41];
              } EKR_7;                                  

       struct { char name1[12]; unsigned int Temp_r; char name2[6];
		char name3[12]; unsigned int Temp_m; char name4[6];
		char name5[9];  unsigned int D_T; char name6[9];
		char name7[12]; unsigned int day; char name8[1];
		unsigned int time_h; char name9[1]; unsigned int time_m;
              } EKR_9;                                  

       struct { char name1[57]; unsigned int Time_Moist; char name2[1];
		char name3[17]; unsigned int Time_Pause; char name4[1];
              } EKR_10;                                  

       struct { char name1[71]; unsigned char kod_season; char name2[8];
	      } EKR_11;                                  

       struct { char name1[71]; unsigned int ver_prog; char name2[1];
		unsigned int sub_ver_prog; char name3[4];
	      } EKR_12;                                  

       struct { char name1[14]; unsigned int F1; unsigned int F2; char F3; char name2[1];
		char name3[14]; unsigned int F4; unsigned int F5; char F6; char name4[1];
		char name5[14]; unsigned int F7; unsigned int F8; char F9; char name6[1];
		char name7[14]; unsigned int F10; unsigned int F11; char F12; char name8[1];
              } EKR_15;                                  

       struct { char name1[20];
		char name2[4]; unsigned char F1; char name3[5]; unsigned int F2; char name4[5]; unsigned int F3; char name5[1];
		char name6[6]; unsigned int F4; unsigned int F5; char F6; char name7[2]; unsigned int F7; unsigned int F8; char F9; char name8[2];
		char name9[20];
              } EKR_21;                                  

       struct { char name1[16]; unsigned long F1;
		char name2[16]; unsigned long F2;
		char name3[16]; unsigned long F3;
		char name4[16]; unsigned long F4;
              } EKR_30;                                  

       struct { char name1[40];
		char name2[4];
		   union {
			struct { char name3[8]; char name4[8]; } IND1;
			struct { unsigned long F1; char name5[12]; } IND2;
			 } IND_T;
		char name6[20];
              } EKR_32;                                  

       struct { char name1[4]; char name_menu[12]; char name2[64];
              } EKR_REJ_MENU;                                  

		} DISPL;
